Difference between revisions of "Arch Pipe/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "{{Arch Tools navi/fr}}")
 
(41 intermediate revisions by 2 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
{{docnav|[[Arch_CompPipe/fr|Outils tuyauteries]]|[[Arch_PipeConnector/fr|Tube Connecteur]]|[[Arch_Module/fr|Arch]]|IconL=Arch_CompPipe.png |IconC=Workbench_Arch.svg |IconR=Arch_PipeConnector.svg}}
+
{{Docnav
 +
|[[Arch_CompPipe/fr|Outils tuyauteries]]
 +
|[[Arch_PipeConnector/fr|Connecteur]]
 +
|[[Arch_Module/fr|Atelier Arch]]
 +
|IconL=Arch_CompPipe.png
 +
|IconC=Workbench_Arch.svg
 +
|IconR=Arch_PipeConnector.svg
 +
}}
  
 
{{GuiCommand/fr
 
{{GuiCommand/fr
 
|Name=Arch Pipe
 
|Name=Arch Pipe
|MenuLocation=Arch → Pipe Tools Pipe
+
|Name/fr=Arch Tuyau
|Workbenches=[[Arch Module/fr|Arch]]
+
|MenuLocation=Arch → Outils tuyauterie Tuyau
|Shortcut=P I
+
|Workbenches=[[Arch_Module/fr|Arch]]
|SeeAlso=[[Arch PipeConnector/fr|Tube Connecteur]], [[Arch Equipment/fr|Equipement]]
+
|Shortcut={{KEY|P}} {{KEY|I}}
 +
|SeeAlso=[[Arch_PipeConnector/fr|Arch Connecteur]], [[Arch_Equipment/fr|Arch Equipement]]
 
|Version=0.17
 
|Version=0.17
 
}}
 
}}
Line 17: Line 25:
 
== Utilisation ==
 
== Utilisation ==
  
# Optionnellement, sélectionnez une ligne [[Part Workbench/fr|Part]], un  [[Draft Line/fr|Draft Line]], [[Draft Wire/fr|Draft Wire]] ou une [[Sketcher NewSketch/fr|Esquisse]] ouverte.
+
# Sélectionnez une forme linéaire [[Part Workbench/fr|Part]] telle qu'une [[Draft Line/fr|Draft Ligne]], un [[Draft Wire|Draft Fil]] ou une [[Sketcher NewSketch/fr|Esquisse]] ouverte.
# Cliquez sur le bouton {{Button|[[Image:Arch Pipe.svg|16px]] [[Arch Pipe/fr|Arch Tube]]}} ou appuyez sur les touches {{KEY | P}} puis {{KEY | I}}
+
# Appelez cette commande en utilisant plusieurs méthodes:
 +
#* En appuyant sur le bouton {{Button|[[Image:Arch Pipe.svg|16px]] [[Arch Pipe/fr|Arch Tuyau]]}} dans la barre d'outils.
 +
#* Appuyez sur le raccourci clavier {{KEY|P}} puis {{KEY|I}}.
 +
#* Appuyez sur l'entrée {{MenuCommand|Arch → Outils tuyauterie → Tuyau}} dans le menu supérieur.
  
 
== Options ==
 
== Options ==
  
* Pipes partage les propriétés et comportements communs à tous les composants [[Arch Component/fr|Arch Components]]
+
* Pipes partage les propriétés et comportements communs à tous les composants [[Arch Component/fr|Arch Composant]]
  
 
== Propriétés ==
 
== Propriétés ==
Line 33: Line 44:
 
== Travail typique ==
 
== Travail typique ==
  
* Commencez le placement des sanitaires hydrauliques (le fichier exemple ci dessous est un fichier step importé). Sélectionnez l'objet et activez l'Arch Equipments en cliquant sur le bouton [[Arch Equipment/fr|Arch Equipment]].
+
* Commencez le placement des sanitaires hydrauliques (le fichier exemple ci dessous est un fichier step importé). Sélectionnez l'objet et activez l'Arch Equipments en cliquant sur le bouton [[Arch_Equipment/fr|Arch Equipement]].
  
[[Image:Arch_pipe_example_01.jpg|Arch_pipe_example_01]]
+
[[Image:Arch_pipe_example_01.jpg]]
  
* Dans Arch Equipments vous avez maintenant une nouvelle propriété, qui est une liste de vecteurs 3D. Vous pouvez maintenant ajouter des points aux dimensions voulues, ces coordonnées  pourront servir de points d'accrochage si le nouveau bouton [[Draft Special/fr|Draft Special]] est activé. Cependant cette propriété n'est seulement disponible qu'en créant un code Python. Dans l'exemple ci dessus, un nouveau point d'accrochage a été ajouté à la sortie du WC. Les vecteurs des points d'accrochage sur le modèle apparaissent comme des points blancs .
+
* Dans Arch Equipments vous avez maintenant une nouvelle propriété '''SnapPoints''' qui est une liste de vecteurs 3D. Cela vous permet d'ajouter des points d'accrochage personnalisés, auxquels vous pouvez vous accrocher lorsque le bouton d'accrochage [[Draft_Snap_Special/fr|Draft Spécial]] est activé. Actuellement, cette propriété n'est cependant disponible que pour python. Dans le cas ci-dessus, j'ai ajouté un nouveau point d'accrochage à la sortie du wc. Les vecteurs à l'intérieur des SnapPoints apparaissent sur le modèle sous forme de points blancs:
  
 
  FreeCAD.ActiveDocument.Equipment.SnapPoints=[FreeCAD.Vector(0,0,100)]
 
  FreeCAD.ActiveDocument.Equipment.SnapPoints=[FreeCAD.Vector(0,0,100)]
  
[[Image:Arch_pipe_example_02.jpg|Arch_pipe_example_02]]
+
[[Image:Arch_pipe_example_02.jpg]]
  
* Avec "Snap Special" Draft Snap, vous pouvez maintenant vous accrocher sur tous ces points:
+
* Avec [[Draft_Snap_Special/fr|Draft Accrochage Spécial]], vous pouvez maintenant vous accrocher sur tous ces points:
  
[[Image:Arch_pipe_example_03.jpg|Arch_pipe_example_03]]
+
[[Image:Arch_pipe_example_03.jpg]]
  
* Maintenant vous pouvez créer vos tubes en utilisant les fonctions Draft Lines, Draft Wires, ou Sketches. La meilleure solution est d'utiliser uniquement Draft Lines:
+
* Maintenant vous pouvez créer vos tubes en utilisant les fonctions Draft Lignes, Draft Files ou Esquisses. La meilleure solution est d'utiliser uniquement Draft Lignes:
  
[[Image:Arch_pipe_example_04.jpg|Arch_pipe_example_04]]
+
[[Image:Arch_pipe_example_04.jpg]]
  
* Il y a maintenant un nouvel outil [[Draft Slope/fr|Draft Slope]] (pente) qui permet de donner une pente aux lignes, par exemple: 5% (0,05). Nous pouvons donc donner facilement une pente aux tubes de décharge. Seul la coordonnée Z est changée avec cet outil, il faut donner le départ et la fin, la coordonnées de départ (haut) reste inchangé.
+
* Il y a maintenant un nouvel outil [[Draft_Slope/fr|Draft Pente]] qui permet de donner une pente aux lignes, par exemple: 5% (0.05). Nous pouvons donc donner facilement une pente aux tubes de décharge. Seul la coordonnée Z est changée avec cet outil, il faut donner le départ et la fin, la coordonnées de départ (haut) reste inchangé.
  
[[Image:Arch_pipe_example_05.jpg|Arch_pipe_example_05]]
+
[[Image:Arch_pipe_example_05.jpg]]
  
* Maintenant nous n'avons qu'a sélectionner les lignes et cliquer sur le bouton [[Arch Pipe/fr|Arch Pipe]] . Arch Pipe travaille avec n'importe quel objet ligne et seulement avec des lignes ouvertes.
+
* Maintenant nous n'avons qu'a sélectionner les lignes et cliquer sur le bouton [[Arch Pipe/fr|Arch Tuyau]]. Arch Tuyau travaille avec n'importe quel objet ligne et seulement avec des lignes ouvertes.
  
[[Image:Arch_pipe_example_06.jpg|Arch_pipe_example_06]]
+
[[Image:Arch_pipe_example_06.jpg]]
  
* Vous pouvez maintenant créer des connexions avec deux ou trois tubes coïncidents en cliquant sur le bouton [[Arch PipeConnector/fr|Arch PipeConnector]]. Si vous sélectionnez trois tubes, deux tubes doivent être alignés pour créer un élément de départ:
+
* Vous pouvez maintenant créer des connexions avec deux ou trois tubes coïncidents en cliquant sur le bouton [[Arch PipeConnector/fr|Arch Connecteur]]. Si vous sélectionnez trois tubes, deux tubes doivent être alignés pour créer un élément de départ:
  
[[Image:Arch_pipe_example_07.jpg|Arch_pipe_example_07]]
+
[[Image:Arch_pipe_example_07.jpg]]
  
 
* Changer le rayon de courbure ne modifie pas la longueur résultante du tracé des tubes (pour changer la résultante, vous devez changer le départ et l'arrivée des tubes). Vous pouvez donc tracer votre chemin de lignes sans vous soucier des courbes et rayon des coudes.
 
* Changer le rayon de courbure ne modifie pas la longueur résultante du tracé des tubes (pour changer la résultante, vous devez changer le départ et l'arrivée des tubes). Vous pouvez donc tracer votre chemin de lignes sans vous soucier des courbes et rayon des coudes.
Line 70: Line 81:
 
{{Emphasis|Voir aussi:}} [[Arch API/fr|API]] and [[FreeCAD Scripting Basics/fr|Débuter avec les scripts]].
 
{{Emphasis|Voir aussi:}} [[Arch API/fr|API]] and [[FreeCAD Scripting Basics/fr|Débuter avec les scripts]].
  
L'outil Pipe (Tube) peut être utilisé dans une [[macros/fr|macro]] et dans la console [[Python/fr|Python]] en utilisant la fonction suivante :
+
L'outil Tube peut être utilisé dans une [[macros/fr|macro]] et depuis la console [[Python/fr|Python]] en utilisant la fonction suivante :
 
{{Code|code=
 
{{Code|code=
 
Pipe = makePipe(baseobj=None, diameter=0, length=0, placement=None, name="Pipe")
 
Pipe = makePipe(baseobj=None, diameter=0, length=0, placement=None, name="Pipe")
Line 95: Line 106:
 
FreeCAD.ActiveDocument.recompute()
 
FreeCAD.ActiveDocument.recompute()
 
}}
 
}}
{{docnav|[[Arch_CompPipe/fr|Outils tuyauteries]]|[[Arch_PipeConnector/fr|Tube Connecteur]]|[[Arch_Module/fr|Arch]]|IconL=Arch_CompPipe.png |IconC=Workbench_Arch.svg |IconR=Arch_PipeConnector.svg}}
+
{{Docnav
 +
|[[Arch_CompPipe/fr|Outils tuyauteries]]
 +
|[[Arch_PipeConnector/fr|Connecteur]]
 +
|[[Arch_Module/fr|Atelier Arch]]
 +
|IconL=Arch_CompPipe.png
 +
|IconC=Workbench_Arch.svg
 +
|IconR=Arch_PipeConnector.svg
 +
}}
  
{{Arch Tools navi/fr}}
+
{{Arch Tools navi{{#translation:}}}}
  
{{Userdocnavi}}
+
{{Userdocnavi{{#translation:}}}}

Latest revision as of 19:42, 9 October 2020

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎日本語

Arch Pipe.svg Arch Tuyau

Emplacement du menu
Arch → Outils tuyauterie → Tuyau
Ateliers
Arch
Raccourci par défaut
P I
Introduit dans la version
0.17
Voir aussi
Arch Connecteur, Arch Equipement


Description

Cet outil vous permet de créer un tube à partir de zéro ou à partir d'objets basés sur (Draft, Sketch, etc..) sélectionnés et contenant un fil et un seul fil ouvert.

Utilisation

  1. Sélectionnez une forme linéaire Part telle qu'une Draft Ligne, un Draft Fil ou une Esquisse ouverte.
  2. Appelez cette commande en utilisant plusieurs méthodes:
    • En appuyant sur le bouton Arch Pipe.svg Arch Tuyau dans la barre d'outils.
    • Appuyez sur le raccourci clavier P puis I.
    • Appuyez sur l'entrée Arch → Outils tuyauterie → Tuyau dans le menu supérieur.

Options

  • Pipes partage les propriétés et comportements communs à tous les composants Arch Composant

Propriétés

  • DonnéesLength: Donne une longueur au tube, s'il n'est pas basé sur un fil (wire).
  • DonnéesDiameter: Le diamètre du tube, s'il n'est pas basé sur un profil
  • DonnéesBase: Le fil est basé seulement sur le tube
  • DonnéesProfile: Le tube est basé sur le profil. S'il n'y a pas de profil, le tube est cylindrique.

Travail typique

  • Commencez le placement des sanitaires hydrauliques (le fichier exemple ci dessous est un fichier step importé). Sélectionnez l'objet et activez l'Arch Equipments en cliquant sur le bouton Arch Equipement.

Arch pipe example 01.jpg

  • Dans Arch Equipments vous avez maintenant une nouvelle propriété SnapPoints qui est une liste de vecteurs 3D. Cela vous permet d'ajouter des points d'accrochage personnalisés, auxquels vous pouvez vous accrocher lorsque le bouton d'accrochage Draft Spécial est activé. Actuellement, cette propriété n'est cependant disponible que pour python. Dans le cas ci-dessus, j'ai ajouté un nouveau point d'accrochage à la sortie du wc. Les vecteurs à l'intérieur des SnapPoints apparaissent sur le modèle sous forme de points blancs:
FreeCAD.ActiveDocument.Equipment.SnapPoints=[FreeCAD.Vector(0,0,100)]

Arch pipe example 02.jpg

Arch pipe example 03.jpg

  • Maintenant vous pouvez créer vos tubes en utilisant les fonctions Draft Lignes, Draft Files ou Esquisses. La meilleure solution est d'utiliser uniquement Draft Lignes:

Arch pipe example 04.jpg

  • Il y a maintenant un nouvel outil Draft Pente qui permet de donner une pente aux lignes, par exemple: 5% (0.05). Nous pouvons donc donner facilement une pente aux tubes de décharge. Seul la coordonnée Z est changée avec cet outil, il faut donner le départ et la fin, la coordonnées de départ (haut) reste inchangé.

Arch pipe example 05.jpg

  • Maintenant nous n'avons qu'a sélectionner les lignes et cliquer sur le bouton Arch Tuyau. Arch Tuyau travaille avec n'importe quel objet ligne et seulement avec des lignes ouvertes.

Arch pipe example 06.jpg

  • Vous pouvez maintenant créer des connexions avec deux ou trois tubes coïncidents en cliquant sur le bouton Arch Connecteur. Si vous sélectionnez trois tubes, deux tubes doivent être alignés pour créer un élément de départ:

Arch pipe example 07.jpg

  • Changer le rayon de courbure ne modifie pas la longueur résultante du tracé des tubes (pour changer la résultante, vous devez changer le départ et l'arrivée des tubes). Vous pouvez donc tracer votre chemin de lignes sans vous soucier des courbes et rayon des coudes.

Il est aussi possible de créer un tube sans ligne de base, dans ce cas utilisez la propriété "Length" pour définir la longueur.

Script

Voir aussi: API and Débuter avec les scripts.

L'outil Tube peut être utilisé dans une macro et depuis la console Python en utilisant la fonction suivante :

Pipe = makePipe(baseobj=None, diameter=0, length=0, placement=None, name="Pipe")
  • Creates a Pipe object from the given baseobj and diameter.
    • baseobj is a Draft Line or Draft Wire.
    • If baseobj is omitted, a straight pipe can be created with just the diameter and the length in the Z direction.
  • If a placement is given, it is used.
import Draft, Arch

p1 = FreeCAD.Vector(1000, 0, 0)
p2 = FreeCAD.Vector(2500, 200, 0)
p3 = FreeCAD.Vector(3100, 1000, 0)
p4 = FreeCAD.Vector(3500, 500, 0)
Line = Draft.makeWire([p1, p2, p3, p4])

Pipe = Arch.makePipe(Line, 200)
FreeCAD.ActiveDocument.recompute()

Pipe2 = Arch.makePipe(diameter=120, length=3000)
FreeCAD.ActiveDocument.recompute()